---
title: Range.cloneRange()
slug: Web/API/Range/cloneRange
tags:
  - API
  - DOM
  - Method
  - Range
---
<p>{{ APIRef("DOM") }}</p>

<p>The <code><strong>Range.cloneRange()</strong></code> method returns a {{domxref("Range")}} object with boundary points identical to the cloned {{domxref("Range")}}.</p>

<p>The returned clone is copied by value, not reference, so a change in either {{domxref("Range")}} does not affect the other.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>clone</em> = range.cloneRange();
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">range = document.createRange();
range.selectNode(document.getElementsByTagName("div").item(0));
clone = range.cloneRange();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-clonerange', 'Range.cloneRange()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level2-Range-method-clone', 'Range.cloneRange()')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.cloneRange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
